% Makes Figure 4.6 with:
% (1) clear, semiorth = true; makefigcubicBsplinewaveletsp
% (2) clear, primalmom = NaN; makefigcubicBsplinewaveletsp
% (3) clear, primalmom = 1; makefigcubicBsplinewaveletsp
% (4) clear, primalmom = 2; makefigcubicBsplinewaveletsp
% (4bis) clear, makefigcubicBsplinewaveletsp

if exist('makeepsfiles') ~= 1, makeepsfiles = false; end
if exist('randomknots') ~= 1, randomknots = false; end
if exist('primalmom') ~= 1, primalmom = 2; end
if exist('semiorth') ~=1 , semiorth = false; end
if exist('knotsasinbook') ~= 1, knotsasinbook = true; end
if exist('nn') ~= 1, nn = 1000; end
if exist('figsize') ~= 1, figsize = [1280 420]; end
if exist('papersize') ~= 1, papersize = figsize/96; end
if exist('figpaperpos') ~= 1, figpaperpos = [0 0 papersize]; end
knotoptfine = {'ko','markersize',11,'markerfacecolor','w','linewidth',3};
tol = 1.e-10;


makeepsfilescopy = makeepsfiles;
makeepsfiles = false;
dualmom = 4;
makefigBsplinesptilde
makeepsfiles = makeepsfilescopy;
if knotsasinbook==true,
   knotsfine = knots7plus6;
else
   % if randomknots == false, rand('state',2), end
   knotsfine = zeros(2*nknots-1,1);
   knotsfine(1:2:2*nknots-1) = knots;
   t = (1:nknots-1)'+1/4+rand(nknots-1,1)/2;
   knotsfine(2:2:2*nknots-1) = polyline(t,(1:nknots),knots);
end
knotsodd = knotsfine(2:2:2*nknots-1);

% Construction of the B-spline wavelets
% cfr ThreshLab/ThreshLab2/Irregular/1D/FWT2G1D.m  (using option 'Bspline')
%%%% refinement scheme
UP = liftingstepsBspline(knotsfine,dualmom);
[H G0] = refinementfromliftingsteps(UP);
H = full(H); G0 = full(G0);

%%%% final update step
A = eye(nknots-1);
fixG = false;
if semiorth == true,
   C = grammatrixBsplines(knotsfine,dualmom);
   l = ceil(dualmom/2)-1; C = C(l+1:l+2*nknots-1,l+1:l+2*nknots-1);
   U = updatesemiorth(UP,C);
elseif isnan(primalmom(1)), %%%% no update step
   U = zeros(nknots,nknots-1);
else
   nu = sum(primalmom);
   varcontrol = nu-primalmom(1);
   primalmom = primalmom(1);
   if primalmom>0,
      Mfine = Bsplinemoments(knotsfine,dualmom,(0:primalmom-1),false);
      Mcoarse = Bsplinemoments(knots,dualmom,(0:primalmom-1),false);
      checkmoments = max(max(abs(Mcoarse - H'*Mfine)))
      Modd = G0'*Mfine;
   end
   if varcontrol==0,
      if primalmom==0,
         fixG = true;
         G1 = zeros(2*nknots-1,nknots-1);
         G1(2:2:2*nknots-1,1:nknots-1) = eye(nknots-1);
         W1 = [H G1]; Wt1 = inv(W1); Ht = Wt1(1:nknots,1:2*nknots-1)';
         W0 = [H G0]; Wt0 = inv(W0);
         Gt0 = Wt0(nknots+1:2*nknots-1,1:2*nknots-1)';
         check = max(max(abs(Gt0'*G1-eye(nknots-1))));
         if check>tol,
            A = Gt0'*G1; % exercise 4.1.10
         end
         U = Ht'*G0; % (4.35), Section 4.1.5
      else
         Io = eye(nknots-1);
         U = updateprimalmoments(knotsodd,Io,knots,Modd,Mcoarse);
      end
   else
      W = eye(2*nknots-1); Wt = W;
      U = updateLSapprxprimmom(UP,nu,Mcoarse,Modd,W,Wt);     
   end
end
G = G0-H*U;
if fixG==true,
   check = max(max(abs(G1-G*A)))
   G = G1;
end
PhiBfine = Bsplinebasis(xx,knotsfine,dualmom,false);
PsiB = PhiBfine*G;
nPsi = size(PsiB,2);
PhiBknotsfine = Bsplinebasis(knotsfine,knotsfine,dualmom,false);
PsiBknotsfine = PhiBknotsfine*G;
PsiBknotsodd = PsiBknotsfine(2:2:2*nknots-1,1:nPsi);
PsiBknots = PsiBknotsfine(1:2:2*nknots-1,1:nPsi);

plot([xx 1],[PsiB; zeros(1,nPsi)],lineopt{:})
hold on
plot(knots,zeros(size(knots)),knotopt{:})
plot(knotsodd,diag(PsiBknotsodd),knotoptfine{:})
% plot(knots([1 nknots]),[1 1],knotopt{:})
axis off
% axy = axis; axy(1:2) = [-0.05 1.1]; axy(4) = axy(4)*1.1; axis(axy)
axy = axis; axy(2) = 1.1; axy(4) = axy(4)*1.1; axis(axy);
figpos = get(gcf,'position'); figpos(3:4) = figsize;
set(gcf,'position',figpos,'papersize',papersize,'paperposition',figpaperpos)
drawaxes
plot(knotsodd,zeros(size(knotsodd)),knotoptfine{:})
hold off
if makeepsfiles == true,
   if semiorth == true,
      fname = 'cubicBsplinewaveletsemiorth.eps';
   elseif isnan(primalmom(1)), 
      fname = 'cubicBsplinewaveletnoU.eps';
   elseif varcontrol==0
      fname = ['cubicBsplinewavelet' num2str(primalmom) '.eps'];
   else
      fname = ['cubicBsplinewavelet' num2str(primalmom) 'var'];
      fname = [fname num2str(varcontrol) '.eps'];
   end
   makefigtransparent
   print('-depsc',fname);
end

if makeepsfiles == false,
   message1 = 'no eps file has been printed by makefigcubicBsplinewaveletsp.';
   message2 = 'Set makeepsfiles = true; to print eps file.';
   disp([message1 message2])
end

