
% Makes Figure 2.5
% See also makefigsskylinechap01haar.m

rand('state',0)
randn('state',0)
if exist('makeeps') ~= 1, makeeps = false; end
if exist('makepdf') ~= 1, makepdf = false; end
n = 2000;
x = column(makegrid(n,0));
% f = makesignal(x,'heavisine');
f = makesignal(x,'skyline');
y = makenoisy(f,10);
pt = 2;
p = 2;
M = 8;
w = FWT2G1D(x,y,'DD',pt,p,M);
v = FWT2G1D(x,f,'DD',pt,p,M);

I = sparse(eye(n));
Wt = FWT2G1D(x,I,'DD',pt,p,M);
stdevw = column(sqrt(diag(Wt*Wt')));
w = w./stdevw;
v = v./stdevw;
stdev = sqrt(mean((w-v).^2));

thr = minriskhardthr(v,stdev);
wthr = HT(w,thr);

fhat = IWT2G1D(x,wthr.*stdevw,'DD',pt,p,M);

njj(1) = n;
xeven = x;
for j =2:M, xeven = xeven(splitevenodd(xeven)); njj(j) = length(xeven); end
   
linewidth = 3;
fontsize = 18;

plotasblocks(x,y,'linewidth',linewidth)
ay = axis;
ay(3) = -2; ay(4) = 12;

axis([0 1 ay(3) ay(4)])

set(gcf,'position',[0 0 1000 500])
set(gcf, 'PaperPosition', [0 0 50 25]);
set(gca,'fontsize',fontsize,'fontweight','bold')
xlabel('Covariate values','fontsize',fontsize,'fontweight','bold')
ylabel('Observed values','fontsize',fontsize,'fontweight','bold')
if makeeps|makepdf,
   makefigtransparent
else,
   disp('Type <enter> (1)')
   pause
end
if makeeps, print -depsc observedsignalN2000.eps, end
if makepdf, print -dpdf observedsignalN2000.pdf, end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

plotasblocks(x,y,'linewidth',linewidth,'color','k')
ay = axis;
ay(3) = -2; ay(4) = 12;

axis([0 1 ay(3) ay(4)])

set(gcf,'position',[0 0 1000 500])
set(gcf, 'PaperPosition', [0 0 10 5]);
set(gca,'fontsize',fontsize,'fontweight','bold')
xlabel('Covariate values','fontsize',fontsize,'fontweight','bold')
ylabel('Observed values','fontsize',fontsize,'fontweight','bold')

if makeeps, print -deps observedsignalN2000grey.eps, end
if makepdf, print -dpdf observedsignalN2000grey.pdf, end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

plotasblocks(x,f,'linewidth',linewidth)
axis([0 1 ay(3) ay(4)])

set(gcf,'position',[0 0 1000 500])
set(gcf, 'PaperPosition', [0 0 50 25]);
set(gca,'fontsize',fontsize,'fontweight','bold')
xlabel('Covariate values','fontsize',fontsize,'fontweight','bold')
ylabel('Error-free values','fontsize',fontsize,'fontweight','bold')

if makeeps|makepdf,
   makefigtransparent
else,
   disp('Type <enter> (2)')
   pause
end
if makeeps, print -depsc errorfreesignalN2000.eps, end
if makepdf, print -dpdf errorfreesignalN2000.pdf, end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

plotasblocks(x,f,'linewidth',linewidth,'color','k')
axis([0 1 ay(3) ay(4)])

set(gcf,'position',[0 0 1000 500])
set(gcf, 'PaperPosition', [0 0 10 5]);
set(gca,'fontsize',fontsize,'fontweight','bold')
xlabel('Covariate values','fontsize',fontsize,'fontweight','bold')
ylabel('Error-free values','fontsize',fontsize,'fontweight','bold')

if makeeps, print -deps errorfreesignalN2000grey.eps, end
if makepdf, print -dpdf errorfreesignalN2000.pdf, end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


plot(w(njj(M-1)+1:n))
aw = axis;
maxy = max(abs(aw(3:4))); miny = -maxy;
for j = 2:M,
   fill(0.5+njj([j-1 j j j-1]),[miny miny maxy maxy],...
       [1 1-(j/M)^2 0])
   hold on
end
fill(0.5+[-0.5 njj([M M]) 0],[miny miny maxy maxy],[0.5 0.5 1])
plotasspikes(v,'linewidth',linewidth,'color','k')
hold off
axis([0 n miny maxy])
set(gcf,'position',[0 0 1000 500])
set(gcf, 'PaperPosition', [0 0 50 25]);
set(gca,'fontsize',fontsize,'fontweight','bold')
xlabel('Scale (by color) + location','fontsize',fontsize,'fontweight','bold')
ylabel('Wavelet coefficients','fontsize',fontsize,'fontweight','bold')

if makeeps|makepdf,
   makefigtransparent
else,
   disp('Type <enter> (3)')
   pause
end
if makeeps, print -depsc errfreeCDF22coefN2000coloredscales.eps, end
if makepdf, print -dpdf errfreeCDF22coefN2000coloredscales.pdf, end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

plot(w(njj(M-1)+1:n))
aw = axis;
maxy = max(abs(aw(3:4))); miny = -maxy;
for j = 2:M,
   fill(0.5+njj([j-1 j j j-1]),[miny miny maxy maxy],...
       [1 1 1]*(1-(j/M)^2) )
   hold on
end
fill(0.5+[-0.5 njj([M M]) 0],[miny miny maxy maxy],[1 1 1]/2)
plotasspikes(v,'linewidth',linewidth,'color','k')
hold off
axis([0 n miny maxy])
set(gcf,'position',[0 0 1000 500])
set(gcf, 'PaperPosition', [0 0 10 5]);
set(gca,'fontsize',fontsize,'fontweight','bold')
xlabel('Scale (by grey level) + location','fontsize',fontsize,'fontweight','bold')
ylabel('Wavelet coefficients','fontsize',fontsize,'fontweight','bold')

if makeeps, print -deps errfreeCDF22coefN2000greylevelscales.eps, end
if makepdf, print -dpdf errfreeCDF22coefN2000greylevelscales.pdf, end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for j = 2:M,
   fill(0.5+njj([j-1 j j j-1]),[miny miny maxy maxy],...
       [1 1-(j/M)^2 0])
   hold on
end
fill(0.5+[-0.5 njj([M M]) 0],[miny miny maxy maxy],[0.5 0.5 1])
plotasspikes(w,'linewidth',linewidth,'color','k')
hold off
axis([0 n miny maxy])
set(gcf,'position',[0 0 1000 500])
set(gcf, 'PaperPosition', [0 0 50 25]);
set(gca,'fontsize',fontsize,'fontweight','bold')
xlabel('Scale (by color) + location','fontsize',fontsize,'fontweight','bold')
ylabel('Wavelet coefficients','fontsize',fontsize,'fontweight','bold')

if makeeps|makepdf,
   makefigtransparent
else,
   disp('Type <enter> (4)')
   pause
end
if makeeps, print -depsc observedCDF22coefN2000coloredscales.eps, end
if makepdf, print -dpdf observedCDF22coefN2000coloredscales.pdf, end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


for j = 2:M,
   fill(0.5+njj([j-1 j j j-1]),[miny miny maxy maxy],...
       [1 1 1]*(1-(j/M)^2) )
   hold on
end
fill(0.5+[-0.5 njj([M M]) 0],[miny miny maxy maxy],[1 1 1])
plotasspikes(w,'linewidth',linewidth,'color','k')
hold off
axis([0 n miny maxy])
set(gcf,'position',[0 0 1000 500])
set(gcf, 'PaperPosition', [0 0 10 5]);
set(gca,'fontsize',fontsize,'fontweight','bold')
xlabel('Scale (by grey level) + location','fontsize',fontsize,'fontweight','bold')
ylabel('Wavelet coefficients','fontsize',fontsize,'fontweight','bold')

if makeeps, print -deps observedCDF22coefN2000greylevelscales.eps, end
if makepdf, print -dpdf observedCDF22coefN2000greylevelscales.pdf, end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for j = 2:M,
   fill(0.5+njj([j-1 j j j-1]),[miny miny maxy maxy],...
       [1 1-(j/M)^2 0])
   hold on
end
fill(0.5+[-0.5 njj([M M]) 0],[miny miny maxy maxy],[0.5 0.5 1])
plotasspikes(wthr,'linewidth',linewidth,'color','k')
hold off
axis([0 n miny maxy])
set(gcf,'position',[0 0 1000 500])
set(gcf, 'PaperPosition', [0 0 50 25]);
set(gca,'fontsize',fontsize,'fontweight','bold')
xlabel('Scale (by color) + location','fontsize',fontsize,'fontweight','bold')
ylabel('Wavelet coefficients','fontsize',fontsize,'fontweight','bold')

if makeeps|makepdf,
   makefigtransparent
else,
   disp('Type <enter> (5)')
   pause
end
if makeeps, print -depsc thresholdedCDF22coefN2000coloredscales.eps, end
if makepdf, print -dpdf thresholdedCDF22coefN2000coloredscales.pdf, end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


for j = 2:M,
   fill(0.5+njj([j-1 j j j-1]),[miny miny maxy maxy],...
       [1 1 1]*(1-(j/M)^2) )
   hold on
end
fill(0.5+[-0.5 njj([M M]) 0],[miny miny maxy maxy],[1 1 1])
plotasspikes(wthr,'linewidth',linewidth,'color','k')
hold off
axis([0 n miny maxy])
set(gcf,'position',[0 0 1000 500])
set(gcf, 'PaperPosition', [0 0 10 5]);
set(gca,'fontsize',fontsize,'fontweight','bold')
xlabel('Scale (by grey level) + location','fontsize',fontsize,'fontweight','bold')
ylabel('Wavelet coefficients','fontsize',fontsize,'fontweight','bold')

if makeeps, print -deps thresholdedCDF22coefN2000greylevelscales.eps, end
if makepdf, print -dpdf thresholdedCDF22coefN2000greylevelscales.pdf, end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

plotasblocks(x,fhat,'linewidth',linewidth)
axis([0 1 ay(3) ay(4)])

set(gcf,'position',[0 0 1000 500])
set(gcf, 'PaperPosition', [0 0 50 25]);
set(gca,'fontsize',fontsize,'fontweight','bold')
xlabel('Covariate values','fontsize',fontsize,'fontweight','bold')
ylabel('Error-free values','fontsize',fontsize,'fontweight','bold')

if makeeps|makepdf,
   makefigtransparent
else,
   disp('The End (6)')
end
if makeeps, print -depsc estimatedsignalCDF22N2000.eps, end
if makepdf, print -dpdf estimatedsignalCDF22N2000.pdf, end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

plotasblocks(x,fhat,'linewidth',linewidth,'color','k')
axis([0 1 ay(3) ay(4)])

set(gcf,'position',[0 0 1000 500])
set(gcf, 'PaperPosition', [0 0 10 5]);
set(gca,'fontsize',fontsize,'fontweight','bold')
xlabel('Covariate values','fontsize',fontsize,'fontweight','bold')
ylabel('Error-free values','fontsize',fontsize,'fontweight','bold')

if makeeps, print -deps estimatedsignalCDF22N2000grey.eps, end
if makepdf, print -dpdf estimatedsignalCDF22N2000grey.pdf, end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

