
% Makes Figure 6.1

forestgreen = [34 139 34]/255;
textopt = {'fontsize',14,'fontweight','bold'};
plotcolor = forestgreen;
if exist('makeepsbook') ~= 1, makeepsbook = false; end
if makeepsbook == true, plotcolor = [1 1 1]*0.3; end

n = 1000;
xmax = 10;
x = (-n:n)/n*xmax;
phi = ones(size(x)); i = find(abs(x)>eps); xi = x(i);
phi(i) = sin(pi*xi)./(pi*xi);
t = x-1/2;
psi = -ones(size(x)); i = find(abs(t)>eps); ti = t(i);
psi(i) = sin(pi*ti)./(pi*ti)-2*sin(2*pi*ti)./(2*pi*ti);

phiname = 'phisinc.eps';
psiname = 'psisinc.eps';

plot(x,psi,'color',plotcolor,'linewidth',3)
axy = axis; axy = axy.*[10.1 12 11 12]/10;

xticks = bestticks(-xmax,xmax);
plot(x,phi,'color',plotcolor,'linewidth',3)
axis(axy); axis off
drawaxes('xtick',xticks,textopt{:})

if makeepsbook == true,

   makefigtransparent

   print('-depsc',phiname),
else
   disp('The figure shows the scaling function. Press any key')
   pause
end

plot(x,psi,'color',plotcolor,'linewidth',3)
axis(axy); axis off
drawaxes('xtick',xticks,textopt{:})

if makeepsbook == true,

   makefigtransparent

   print('-depsc',psiname),
else
   disp('no eps files have been made. Set makeepsbook=true; for eps files')
end


