% Makes Figure 12.1

fontsize = 18;
fontweight = 'bold';
fontspec = {'fontsize',fontsize,'fontweight',fontweight};
if exist('makeeps') ~= 1, makeeps = false; end
if exist('dorgb') ~= 1, dorgb = false; end
if exist('xname') ~= 1, xname = {'w'}; end
if exist('yname') ~= 1, yname = {'$$\widehat{\beta}$$','interpreter','LaTeX'}; end
if dorgb == true,
   funccolor = 'g';
   jumpcolor = 'r';
else
   funccolor = [1 1 1]*0.4;
   jumpcolor = funccolor;
end

thr = 1;

plot([-3 3]*thr,[-3 3]*thr,'--','linewidth',2,'color','k')
drawaxes
hold on
plot([-3 -1 1 3]*thr,[-2 0 0 2]*thr,'linewidth',4,'color',funccolor)
hold off
text(-thr,-thr/3,'-\lambda',fontspec{:})
text(thr,-thr/3,'\lambda',fontspec{:})
text(2.8*thr,-thr/3,xname{:},fontspec{:})
% text(3,-thr/3,'Y',fontspec{:})
text(-thr/3,3,yname{:},fontspec{:})
axis off
axis equal

if makeeps==true,
   makefigtransparent
   print -depsc ST.eps
   close
else
   disp('press any key to continue')
   pause
end

plot([-3 3]*thr,[-3 3]*thr,'--','linewidth',2,'color','k')
drawaxes
hold on
plot([-3 -1]*thr,[-3 -1]*thr,'linewidth',4,'color',funccolor)
plot([-1  1]*thr,[ 0  0]*thr,'linewidth',4,'color',funccolor)
plot([-1  1]*thr,[ 0  0]*thr,'o','linewidth',3,'markersize',12,...
                                 'markeredgecolor',jumpcolor,...
                                 'markerfacecolor','w')
plot([-1  1]*thr,[-1  1]*thr,'o','linewidth',3,'markersize',12,...
                                 'markeredgecolor',funccolor,...
                                 'markerfacecolor',funccolor)
plot([ 1  3]*thr,[ 1  3]*thr,'linewidth',4,'color',funccolor)
hold off
text(-thr,-thr/3,'-\lambda',fontspec{:})
text(thr,-thr/3,'\lambda',fontspec{:})
text(2.8*thr,-thr/3,xname{:},fontspec{:})
% text(3,-thr/3,'Y',fontspec{:})
text(-thr/3,3,yname{:},fontspec{:})
axis off
axis equal

if makeeps==true,
   makefigtransparent
   print -depsc HT.eps
else
   disp('no eps has been printed. Set makeeps=true; to print eps')
end
