% Makes Figure 11.1

evenmarker = {'-rs','color','k','linewidth',2,'markersize',10,...
              'markeredgecolor','k','markerfacecolor','w'};
oddmarker = {'o','markersize',10,'markeredgecolor','k',...
             'markerfacecolor',[1 1 1]*0.7};
fontopt = {'fontsize',24,'fontweight','bold'};
greylineopt = {'--','linewidth',2,'color',[1 1 1]*0.7};

S = 'routine makefignaivekernelsubdivision:';
S = [S sprintf('\n') '---------------------------------------' sprintf('\n')];
if exist('makeeps') ~= 1, makeeps = false; end
if makeeps==false,
   S = [S 'No eps printed. Type makeeps = true; to create eps files'];
   S = [S sprintf('\n')];
end
if exist('haveabreak') ~= 1, haveabreak = ~makeeps; end
if haveabreak==false,
   S = [S 'Type haveabreak = true; to pause for each figure'];
   S = [S sprintf('\n')];
end
if makeeps==false, greylineopt{1} = '-'; end
disp(S)

chooseknotsasinbook; knots = knots7;
knots = [knots7;
         1.1
         1.3
         2];
nknots = 10;

clear moreMLPTpar
nreslevels = 8;
dyadicsubdivfromknots=true;
h0 = 1;
ptmlpt = 1;
% this is equivalent with: Pmethod = 'kernel';
makeepscopy = makeeps; makeeps = false; 
makefigMLPTbasis
PhiMLPTproper = PhiMLPT;
moreMLPTpar = {'subsampleP'};
makefigMLPTbasis
makeeps = makeepscopy;

e5 = zeros(size(knots)); e5(5) = 1;

[phi5 moments odds xxx] = refinescalingfunctionsMLPT(xx,knots,e5,MLPTpar{:});
nnn = length(xxx);
grids = cell(M+1,1);
grids{M+1} = (1:nnn);
for j=M:-1:1,
   o = odds{M+1-j};
   o = grids{j+1}(o);
   grids{j} = setdiff(grids{j+1},o);
end

figsize = [1280 420]; papersize = figsize/96; figpaperpos = [0 0 papersize];
figpos = get(gcf,'position'); figpos(3:4) = figsize;
set(gcf,'position',figpos,'papersize',papersize,'paperposition',figpaperpos)

nlevels = 3;
s = cell(nlevels+1,1);
s{1} = e5;
% MLPTparj = {MLPTpar{:},'odds',odds}; MLPTparj{9} = h0;
MLPTparj = MLPTpar; MLPTparj{9} = h0;
MLPTpar1 = MLPTpar; MLPTpar1{1} = 1;
for j=1:nlevels,
   MLPTparj{1} = j; MLPTparj{9} = MLPTparj{9}/2;
   MLPTparj{14} = {setdiff(1:nn,grids{j}),odds{M-j+2:M}};
   MLPTpar1{9} = MLPTparj{9};
   Pj = refinescalingfunctionsMLPT(xxx,xxx(grids{j}),s{j},MLPTpar1{1:11});
   s{j+1} = refinescalingfunctionsMLPT(xxx(grids{j+1}),knots,e5,MLPTparj{:});
   % alternative: (make sure Pj is computed with 'subsample', so MLPTpar1{:})
   % s{j+1} = Pj(grids{j+1});

   xr = 1.1;
   xxxl = xxx;
   xxxl(xxx>xr) = NaN;
   plot(xxxl,Pj,greylineopt{:})
   axis([0 xr+0.1 0 1.1])
   axis off
   ytick = [0 1];
   drawaxes('ytick',ytick,fontopt{:})
   hold on
   plot([0 knots(5)],[1 1],'k--','linewidth',2)
   plot(xxxl(grids{j}),s{j},evenmarker{:})
   o = setdiff(grids{j+1},grids{j});
   plot(xxxl(o),Pj(o),oddmarker{:})
   hold off

   set(gca,fontopt{:})
   xlabel('x',fontopt{:})
   ylabel(['subdivision, step ' num2str(j)],fontopt{:})
   if makeeps==true,
      filename=['naivekernelsubdivision' num2str(j) '.eps'];
      makefigtransparent
      print('-depsc',filename);
   end
   if haveabreak==true, 
      disp(['press any key ' num2str(j) '/' num2str(nlevels)])
      pause
   end
end 
plot(xx,phi5,lineopt{:})
hold on
plot([0 knots(5)],[1 1],'k--','linewidth',2)
plot(knots,zeros(size(knots)),knotopt{:})
plot(knots(5),1,knotopt{:})
hold off
axis([0 xr+0.1 0 1.1])
axis off
ytick = [0 1];
drawaxes('ytick',ytick,fontopt{:})
if makeeps==true,
   filename='naivekernelsubdivisionbasis.eps';
   makefigtransparent
   print('-depsc',filename);
end

