
% Makes Figure 9.8

if exist('makeeps') ~= 1, makeeps = false; end
n = 2000;
x = makegrid(n,1);
ptilde = 4;
p = 2;
if exist('wtmethod') ~= 1,
   wtmethod = 'spline';
end
M = floor(log2(n))-1;
% wtmethod = 'DD';
% wtmethod = 'avint';

I = eye(n);
switch wtmethod
case {'spline'}
   PhiJ = Bsplinebasis(x,x,p,false);
case {'DD','avint'}
   PhiJ = I;
end
W = IWT2G1D(x,I,ptilde,p,M,wtmethod);
[Wt nL] = FWT2G1D(x,I,ptilde,p,M,wtmethod);
VL = W(1:n,1:nL);
PhiL = PhiJ*VL;
plot(x,PhiL,'linewidth',3,'color','k')

% (1) special case: fast wavelet transform
Wtpacket = FWT2Gpacket(x,I,ptilde,p,M,wtmethod);
Wpacket = IWT2Gpacket(x,I,ptilde,p,M,wtmethod);

% (2) full subband decomposition
tree = (1:2^M-1);
Wtpacket = FWT2Gpacket(x,I,ptilde,p,tree,wtmethod);
Wpacket = IWT2Gpacket(x,I,ptilde,p,tree,wtmethod);
checkWtW = max(max(abs(I-Wpacket*Wtpacket)))


Psipacket = PhiJ*Wpacket;
i = (1:floor(0.85*n));
plot(x(i),Psipacket(i,1:nL),'linewidth',3,'color',0.85*[1 1 1])
hold on
plot(x(i),2*Psipacket(i,6),'linewidth',3,'color',0.6*[1 1 1])
plot(x(i),8*Psipacket(i,18),'linewidth',3,'color','k')
hold off
% axy = axis; axy(2) = axy(2)*1.1; axis(axy)
axy = axis; axy(2) = 0.9; axis(axy)
axis off
figsize = [840 420]; papersize = figsize/96; figpaperpos = [0 0 papersize];
figpos = get(gcf,'position'); figpos(3:4) = figsize;
set(gcf,'position',figpos,'papersize',papersize,'paperposition',figpaperpos)

drawaxes
if makeeps == true,
   makefigtransparent
   fname = ['Bsplinepacket' num2str(ptilde) '.eps'];
   print('-deps',fname);
else
   disp('no eps has been made. Set makeeps=true; to make eps')
end

