
function psi = mexicanhat(x);

% mexicanhat - Evaluates Mexican Hat wavelet function
% Usage
%   psi = mexicanhat(x);
% Input
%   x    real vector; covariate values (length n)
% Output
%   psi  real vector of function values (length n)
% See also
%   help simpleCWT


psi = (1-x.^2).*exp(-x.^2/2);
