function q = empiricalquantile(x,p);

% /ThreshLab/General/empiricalquantile -- produces vertical (i.e., standing) 
%                                       boxplots
%  Usage
%    q = empiricalquantile(x,p);
%  Inputs
%    x   data vector
%    p   vector of probabilities
%  Outputs
%    q   vector of size(p), containing empirical quantile values
%  Description
%  Note
%  See also
%     help quantile (in stat-toolbox; basically the same)
%     help verticalboxplot
%     help horizontalboxplot

X = sort(x);
N = length(X);
F = ((1:N)-0.5)/N;
q = polyline(p,F,X);

