
function njj = levelsizesFWT2G(n,M);

%  levelsizesFWT2G -- ThreshLab/ThreshLab2/Irregular/1D
%   Usage
%     njj = levelsizesFWT2G(n,M);
%   Inputs
%     n   integer
%     M   integer
%   Outputs
%     njj row vector of (M+1) integers
%   Description
%     finds sizes of resolution levels in decimated 2nd generation WT
%     first element of njj is number of coarse scaling coefficients
%   Note
%   See also
%     help FWT2G1D (decimated = fast CDF wavelet transform)
%     help plotresolutionlevels

if nargin<2, M = ceil(log2(n)); end
if length(n)>1, n = max(size(n)); end
% Alternative 1: find # scaling coeff. first, then # detail coeff.
njj = ceil(n./2.^(M:-1:1)); njj = [njj n] - [0 njj];
% Alternative 2: find # detail coeff., then # coarse scaling coeff.
% njj = round((n-1/2)./2.^(M:-1:1)); njj = [n-sum(njj) njj];
