
function [even, odd] = splitevenodd(x,varargin)

%  splitevenodd -- partitions data into even and odd indexed ordered subsets
%   Usage
%     [even, odd] = splitevenodd(x);
%     [even, odd] = splitevenodd(n);
%   Inputs
%     x      data vector, grid location vector, ...
%     n      length of (undisclosed) data vector
%   Outputs
%     even   ordered indices of even subset
%     odd    ordered indices of odd subset
%   Description
%   note
%     other input arguments are ignored
%   See also
%     help FWT2G1D

n = length(x);
if n == 1, n = x; end
even = (1:2:n);
odd = (2:2:n);
