% THRESHLAB ThreshLab2/Irregular/BrokenbasisWT
% --------------------------------------------
% 
% Second generation Broken basis wavelets on (ir)regular/(non)equidistant data
% Using default values in the routines of this folder amounts to reducing
% broken basis functions to B-splines
%
% main .m - files
% ---------------
%
% aggregatesmoothset.m    : assembling locally defined set of smooth functions
% broken2smooth.m         : write set of smooth funct. as comb. of broken basis
% brokenbasis.m           : construct broken basis from set of smooth functions
% brokenbasismoments.m    : find moments of broken basis functions
% hermitespline.m         : Hermite spline interpolation
% hermitesplinemoments.m  : Hermite polynomial moments
% hermitesplinesegment.m  : Hermite spline interpolation between two knots
% refinementbrokenbasis.m : Find refinement matrix for broken basis
% smoothsetmatrix.m       : Construct matrix of smooth functions for use in
%                           other routines
% smoothsetmoments.m      : Find moments of set of smooth functions
% ../1D/FWT2G1D.m         : (use option 'BB' for broken basis forward WT)
% ../1D/IWT2G1D.m         : (use option 'BB' for broken basis inverse WT)
%
% auxiliary .m - files
% --------------------
%
% combinebasesdiff.m  powerdiff.m  sincosdiff.m
%   These routines generate sets of smooth functions for use in brokenbasis.m
%   or in FWT2G1D.m (with option 'BB')
%
% illustrateFWT2Gbroken.m
%   This file can be used to get started
% 
% 
% subdirectories
% --------------
% <none>

% Copyright (c) Maarten Jansen
%
% This software is part of ThreshLab and is copyrighted material. 

