
function s = sawtoothknots(x,knots);

% sawtoothknots - ThreshLab2/Polylines
%   Usage
%     s = sawtoothknots(x,knots);
%   Inputs
%     x     real vector
%     knots real vector
%   Outputs
%     s     real vector of size(x)
%   Description
%     implements sawtoothknots(x,knots) = polyline(x,knots,[1 0])
%     where [1 0] stands for a 1-0-jump in every knot
%   See also
%     help polyline
%     help staircase

if nargin<2, knots = [x(1) x(end)]; end
nk = length(knots);
knots2 = zeros(1,2*nk-2);
knots2(1:2:2*nk-2) = knots(1:nk-1); knots2(2:2:2*nk-2) = knots(2:nk);
sknots2 = zeros(1,2*nk-2); sknots2(2:2:2*nk-2) = 1;
s = polyline(x,knots2,sknots2);
