
function yy = staircase(xx,x,y);

% staircase - ThreshLab2/Polylines --- evaluate staircase defined by knots
%   Usage
%     yy = staircase(xx,x,y);
%   Inputs
%     x     x-coordinates of knots
%     y     y-coordinates of knots
%     length(x) = length(y)
%     xx    x-coordinates of evaluation points
%   Outputs
%     yy    y-coordinates of evaluation points
%   Description
%     defines function values yy in xx of a staircase interpolating in (x,y)
%     y can be a matrix, the evaluation then takes place in a row-by-row or a
%     column-by-column fashion.
%   See also
%     help polyline
%     help plotasblocks

[r c] = size(y);
if c == size(x,2), y = y'; end
x = row(x);
[r c] = size(y);
if r == length(x), y = y'; end
[r c] = size(y);
if c ~= length(x),
   error('abscis-ordinate mismatch in staircase knots (x,y)')
end

[rr cc] = size(xx);

yy = interpolynomialprediction(x,y,xx,1);
