
function B = edgonboundary(e,points);

% edgonboundary - ThreshLab2/Triangulations --- checks if an edge is a segment
%                                               of a closed polyline
% Usage
%    B = edgonboundary(e,points);
% Inputs
%    e         pair of integers; indices into a data cloud (not given)
%    points    vector of integers (length 3 or more)
% Outputs
%    B         Boolean variable

n = length(points);
B = row(ismember(points,e));
B = repmat(B,1,2);
B = B(1:n) & B(2:n+1);
B = any(B);
