% THRESHLAB Threshold/EBayesThresh
% --------------------------------
% 
% Routines for Empirical Bayesian Thresholds (Johnstone & Silvermani (2004),
% Needles and straw in haystacks, Ann.Stat.,32.4,pp 1594-1649)
% 
% .m - files
% ----------
% ebayesthresh.m                    : main routine
% estimateparzeroinflatedJSCauchy.m : estimate degree of sparsity in zero
%                                     inflated Cauchy-like distribution + Noise
% estimateparzeroinflatedLaplace.m  : estimate degree of sparsity in zero
%                                     inflated Laplace + Normal noise
% JScauchycdf.m                     : Cauchy-like cumulative distribution
% JScauchy1cdf.m                    : Cauchy-like CDF, with parameter sigma=1
% JScauchypdf.m                     : Cauchy-like probability density
% JScauchy1pdf.m                    : Cauchy-like PDF, with parameter sigma=1
% JScauchyplusnormalcdf.m           : convolution of JScauchycdf and normal
% JScauchyplusnormalpdf.m           : convolution of JScauchypdf and normal
% laplaceplusnormalcdf.m            : convolution of Laplace and normal CDF
% laplaceplusnormalpdf.m            : convolution of Laplace and normal PDF
% LLmarg0inflCauchyJSplusnormal.m   : marginal log-likelihood 0-inflated Cauchy
% LLmarg0inflLaplaceplusnormal.m    : marginal log-likelihood 0-inflated Lapl.
% LLmargmix2Laplplusnormal.m        : marg.log.lik. mixture 2 Lapl.+normal err
% LLmargmixLaplnormplusnormal.m     : marg.log.lik. mixt. Lapl & norm+norm
% marginalscoreJScauchy.m           : derivative of marginal log-likelihood
% posteriorcdflaplace.m             : 
% posteriormeanlaplace.m            :
% posteriormedianlaplace.m          :
% posteriorplaplace.m               :
% profileLLzeroinflatedLaplace.m    :
% zeroinflatedlaplaceplusnormalcdf.m:

 
% subdirectories
% --------------
% <none>

% Copyright (c) Maarten Jansen
%
% This software is part of ThreshLab and is copyrighted material. 

