
function [LL a] = profileLLzeroinflatedLaplace(p,Y);

% profileLLzeroinflatedLaplace -- profile log likelihood for zero inflated
% Laplace + standard normal observational noise
%   Usage
%      LL = profileLLzeroinflatedLaplace(p,Y);
%  [LL a] = profileLLzeroinflatedLaplace(p,Y);
%   Inputs
%      Y   observations
%      p   parameter value
%   Outputs
%      LL  profile marginal log likelihood of p given Y
%   Description
%      The model is Y = V + Z, with
%      p = P(V =/= 0)
%      V|V=/=0 ~ Laplace(a)
%      Z ~ NID(0,1)

stdev = 1;

Y2bar = mean(Y.^2);
Y2bar = max(Y2bar,stdev^2);
ahat = 2*p/sqrt(Y2bar-stdev^2);

LL = LLmarg0inflLaplaceplusnormal(p,ahat,1,Y);
a = ahat;
