
function xt = HT(x,t);

% ThreshLab/Threshold/HT -- hard-threshold function
%  Usage
%    xt = HT(x,t)
%  Inputs
%    x      input coefficients
%    t      threshold (scalar or vector of size(x))
%  Outputs
%    xt     hard-thresholded values of x
%  Description
%    HT(x,t) = x.*(abs(x)>t)
%  Note
%  See also:
%    help ST

xt = (abs(x) > t) .* x;


% Copyright (c) Maarten Jansen
% 
% This software is part of ThreshLab and is copyrighted material. 
