% THRESHLAB Threshold/IterativeThresholding
% -----------------------------------------
% 
% Routines for regularized least squares solution of ill-posed or
% ill-conditioned linear systems
% 
% .m - files
% ----------
% Contents.m           : this file
% illustrateLARSell0.m : illustrative simulation
% iterativeST.m        : iterative soft thresholding (fixed threshold)
% iterativeHT.m        : iterative hard thresholding (fixed threshold)
% iterativeMSEST.m     : iterative ST, minimum mean squared loss threshold in
%                        each iteration
% iterativeMSEHT.m     : iterative HT, minimum mean squared loss threshold in
%                        each iteration
% iterativeGCVST.m     : iterative ST, minimum GCV in each iteration
% iterativeGCVHT.m     : iterative HT, minimum GCV in each iteration
% LARS.m               : original Least Angle Regression for LASSO
% LARSmodified.m       : modified Least Angle Regression for LASSO
% LARSell0.m           : LARS with ell0-based stopping criterion
% 
% subdirectories
% --------------
% <none>

% Copyright (c) Maarten Jansen
%
% This software is part of ThreshLab and is copyrighted material. 

