
% Simulatenodewise performs a simulation study on 
% (1) generate large multivariate normal random vectors with sparse
%     covariance matrix

forestgreen = [34 139 34]/255;
if exist('fontsize') ~= 1, fontsize = 14; end
fontopt = {'fontsize',fontsize,'fontweight','bold'};
if exist('samplesize') ~= 1, samplesize = 600; end
if exist('modelsize') ~= 1, modelsize = 1000; end
if exist('realrandom') ~= 1, realrandom = false; end
if exist('useLARS') ~= 1, useLARS = true; end
if exist('useAND') ~= 1, useAND = true; end
if exist('newKappa') ~= 1, newKappa = false; end
if exist('newY') ~= 1, newY = false; end
if exist('nnmax') ~= 1, nnmax = 100; end % maximum number of neighbours in
                                         % estimated graph
if exist('useIC') ~= 1, useIC = {'Cp','Cp'}; end
if exist('addmirror') ~= 1, addmirror = true; end
n = samplesize;
m = modelsize;

if exist('Kappa') ~= 1, newKappa = true; end
if exist('Y') ~= 1, newY = true; end
if exist('x') ~= 1,
   if realrandom == false, randn('state',1); rand('state',1); end
   xy = rand(m,2); x = xy(1:m,1); y = xy(1:m,2);
end
if newKappa == true,
   if realrandom == false, randn('state',1); rand('state',1); end
   if exist('nemax') ~= 1, nemax = 4; end 
   % nemax is maximum number of edges/neighbours in TRUE model/DGP 
   [Kappa, E, Sigma] = makesparseconcentrationmatrix(x,y,'maxneighbors',nemax);
end
if newY==true,
   [V Lambda] = eig(Kappa);
   T = V/sqrt(Lambda)*V';

   Z = randn(m,n);
   Y = T*Z;
end

if exist('dorow') == false,
   [Ghat0 K0] = nodewiseLassoGCVCpmirror(Y,nnmax,useIC,addmirror);
   Ghat = Ghat0.*Ghat0';
   SigmaYhat = Y*Y'/n;
   GhatI = min(1,Ghat+eye(size(Ghat,1)));
   % Kappahat = spinv(SigmaYhat,GhatI);
   Kappahat = nodewisereggraph(Y,GhatI); Kappahat = full(Kappahat);
   Kappahat = (Kappahat+Kappahat')/2;
      Ghatbis = zeros(size(GhatI)); Ghatbis(find(Kappahat))=1;
      checkGhat = max(max(abs(Ghatbis-GhatI)));
   Ehat = graphedges(Ghat);

   framex = [0 1 1 0 0]; framey = [0 0 1 1 0];

   figure(1)
   plotedges(Ehat,x,y,'b')
   hold on
   plot(framex,framey,'k','linewidth',3)
   hold off
   axis equal
   axis tight
   axis off
   title('estimated graph',fontopt{:})

   figure(2)
   % plotedges(E,x,y,'color',[1 1 1]*0.6)
   plotedges(E,x,y,'r')
   hold on
   plot(framex,framey,'k','linewidth',3)
   hold off
   axis equal
   axis tight
   axis off
   title('true graph',fontopt{:})

else
   [Ghat0 K0 rowproblem ] = ...
                nodewiseLassoGCVCpmirror(Y,nnmax,useIC,addmirror,dorow);
   % rowproblem{2} contains the normalised columns as used in LARS
end
